cURL
curl -X PUT "https://api.onekhusa.com/sandbox/v1/disbursements/single/review" \
--header "Authorization: Bearer your-jwt-token" \
--header "Content-Type: application/json" \
--header "Accept-Language: en" \
--header "X-Idempotency-Key: your-idempotency-key" \
-d '{
"merchantAccountNumber": 35253486,
"transactionReferenceNumber": "251105CJZ16U",
"actionedBy": "admin@onekhusa.com"
}'import requests
url = "https://api.onekhusa.com/sandbox/v1/disbursements/single/review"
payload = {
"merchantAccountNumber": 35253486,
"transactionReferenceNumber": "TXN8J5T2Q1L0Z",
"actionedBy": "admin@onekhusa.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchantAccountNumber: 35253486,
transactionReferenceNumber: 'TXN8J5T2Q1L0Z',
actionedBy: 'admin@onekhusa.com'
})
};
fetch('https://api.onekhusa.com/sandbox/v1/disbursements/single/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchantAccountNumber": 37463669,
"transactionReferenceNumber": "251105CJZ16U",
"responseCode": "R100"
}Banks and Mobile Wallets
Review Payout
This endpoint allows the merchant user to review a posted single disbursement transaction. It is used in the 6-Eye (Initiator + Reviewer + Approver) workflow. Once reviewed, the transaction moves to the approval stage where it must be approved before funds transfer can begin.
PUT
/
disbursements
/
single
/
review
cURL
curl -X PUT "https://api.onekhusa.com/sandbox/v1/disbursements/single/review" \
--header "Authorization: Bearer your-jwt-token" \
--header "Content-Type: application/json" \
--header "Accept-Language: en" \
--header "X-Idempotency-Key: your-idempotency-key" \
-d '{
"merchantAccountNumber": 35253486,
"transactionReferenceNumber": "251105CJZ16U",
"actionedBy": "admin@onekhusa.com"
}'import requests
url = "https://api.onekhusa.com/sandbox/v1/disbursements/single/review"
payload = {
"merchantAccountNumber": 35253486,
"transactionReferenceNumber": "TXN8J5T2Q1L0Z",
"actionedBy": "admin@onekhusa.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchantAccountNumber: 35253486,
transactionReferenceNumber: 'TXN8J5T2Q1L0Z',
actionedBy: 'admin@onekhusa.com'
})
};
fetch('https://api.onekhusa.com/sandbox/v1/disbursements/single/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchantAccountNumber": 37463669,
"transactionReferenceNumber": "251105CJZ16U",
"responseCode": "R100"
}Authorizations
Bearer authentication header of the form Bearer Token, Where accessToken is the access token used to authenticate the request.
Body
application/json
The unique identifier of the merchant account (Required string length: 8)
Required range:
10000000 <= x <= 99999999Example:
35253486
The unique transaction reference number to review
Example:
"251105CJZ16U"
The email adddress of the user reviewing the transaction
Maximum string length:
60Example:
"admin@onekhusa.com"